Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.parser
Class DefaultAngleHandler

    java.lang.Object
      org.apache.batik.parser.DefaultAngleHandler

All Implemented Interfaces:
  AngleHandler

    public class DefaultAngleHandler

extends Object
implements AngleHandler

This class provides an adapter for AngleHandler

Field Summary
`static AngleHandler` | `INSTANCE` The only instance of this class.

Constructor Summary
`protected` | `DefaultAngleHandler()` This class does not need to be instantiated.

Method Summary
`void` | `angleValue(float v)` Implements `AngleHandler.angleValue(float)`.
`void` | `deg()` Implements `AngleHandler.deg()`.
`void` | `endAngle()` Implements `AngleHandler.endAngle()`.
`void` | `grad()` Implements `AngleHandler.grad()`.
`void` | `rad()` Implements `AngleHandler.rad()`.
`void` | `startAngle()` Implements `AngleHandler.startAngle()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final AngleHandler INSTANCE

  The only instance of this class.

Constructor Detail

### DefaultAngleHandler

    protected DefaultAngleHandler()

  This class does not need to be instantiated.

Method Detail

### startAngle

    public void startAngle()
                    throws ParseException

  Implements `AngleHandler.startAngle()`.

  Specified by:
    `startAngle` in interface `AngleHandler`
  Throws:
    `ParseException` - if an error occured while processing the angle

### angleValue

    public void angleValue(float v)
                    throws ParseException

  Implements `AngleHandler.angleValue(float)`.

  Specified by:
    `angleValue` in interface `AngleHandler`
  Throws:
    `ParseException` - if an error occured while processing the angle

### deg

    public void deg()
             throws ParseException

  Implements `AngleHandler.deg()`.

  Specified by:
    `deg` in interface `AngleHandler`
  Throws:
    `ParseException` - if an error occured while processing the angle

### grad

    public void grad()
              throws ParseException

  Implements `AngleHandler.grad()`.

  Specified by:
    `grad` in interface `AngleHandler`
  Throws:
    `ParseException` - if an error occured while processing the angle

### rad

    public void rad()
             throws ParseException

  Implements `AngleHandler.rad()`.

  Specified by:
    `rad` in interface `AngleHandler`
  Throws:
    `ParseException` - if an error occured while processing the angle

### endAngle

    public void endAngle()
                  throws ParseException

  Implements `AngleHandler.endAngle()`.

  Specified by:
    `endAngle` in interface `AngleHandler`
  Throws:
    `ParseException` - if an error occured while processing the angle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.